### Method

# Vips Area get_data

#### Declaration [src]

    void*
    vips_area_get_data (
      VipsArea* area,
      size_t* length,
      int* n,
      GType* type,
      size_t* sizeof_type
    )

#### Description [src]

Return the data pointer plus optionally the length in bytes of an area, the number of elements, the `GType` of each element and the `sizeof()` each element.

#### Parameters

`length`

  Type: `size_t*`

  Optionally return length in bytes here.

  The argument will be set by the function.
  The argument can be `NULL`.

`n`

  Type: `int*`

  Optionally return number of elements here.

  The argument will be set by the function.
  The argument can be `NULL`.

`type`

  Type: `GType*`

  Optionally return element type here.

  The argument will be set by the function.
  The argument can be `NULL`.

`sizeof_type`

  Type: `size_t*`

  Optionally return `sizeof()` element type here.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `void*`

The pointer held by `area`.

The returned data is owned by the instance.
The return value can be `NULL`.